// Copyright 2022 schukai GmbH
// SPDX-License-Identifier: AGPL-3.0

package xflags

import (
	"github.com/stretchr/testify/assert"
	"reflect"
	"testing"
)

func TestGetTagMap(t *testing.T) {

	type testStruct struct {
		Verbose bool `short:"v" long:"verbose" description:"Show verbose debug information"`
	}

	m := getTagMap(reflect.TypeOf(testStruct{}).Field(0))
	assert.Equal(t, "v", m["short"])
	assert.Equal(t, "v", m["short"])
	assert.Equal(t, "Show verbose debug information", m["description"])

}

func TestGetTagMapWithNoTags(t *testing.T) {

	type testStruct struct {
		Verbose bool
	}

	m := getTagMap(reflect.TypeOf(testStruct{}).Field(0))
	assert.Empty(t, m)

}
